Package org.eclipse.osgi.container.namespaces

# Class EclipsePlatformNamespace

java.lang.Object
org.osgi.resource.Namespace
org.eclipse.osgi.container.namespaces.EclipsePlatformNamespace

public class EclipsePlatformNamespace extends Namespace
Eclipse Platform and Requirement Namespace.

This class defines the names for the attributes and directives for this namespace. All unspecified capability attributes are of type `String` and are used as arbitrary matching attributes for the capability. The values associated with the specified directive and attribute keys are of type `String`, unless otherwise indicated.

Since:
  3.10
Restriction:
  This class is not intended to be instantiated by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ECLIPSE_PLATFORM_FILTER_HEADER`
Manifest header identifying the eclipse platform for the bundle.
`static final String`
`ECLIPSE_PLATFORM_NAMESPACE`
Namespace name for the eclipse platform.

### Fields inherited from class org.osgi.resource.Namespace

`CAPABILITY_EFFECTIVE_DIRECTIVE, CAPABILITY_USES_DIRECTIVE, CARDINALITY_MULTIPLE, CARDINALITY_SINGLE, EFFECTIVE_ACTIVE, EFFECTIVE_RESOLVE, REQUIREMENT_CARDINALITY_DIRECTIVE, REQUIREMENT_EFFECTIVE_DIRECTIVE, REQUIREMENT_FILTER_DIRECTIVE, REQUIREMENT_RESOLUTION_DIRECTIVE, RESOLUTION_MANDATORY, RESOLUTION_OPTIONAL`

## Constructor Summary

Constructors
Constructor
Description
`EclipsePlatformNamespace()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ECLIPSE_PLATFORM_NAMESPACE

public static final String ECLIPSE_PLATFORM_NAMESPACE
Namespace name for the eclipse platform. Unlike typical name spaces this namespace is not intended to be used as an attribute.

See Also:
  - Constant Field Values

### ECLIPSE_PLATFORM_FILTER_HEADER

public static final String ECLIPSE_PLATFORM_FILTER_HEADER
Manifest header identifying the eclipse platform for the bundle. The framework may run this bundle if filter specified by this header matches the running eclipse platform.

See Also:
  - Constant Field Values

## Constructor Details

### EclipsePlatformNamespace

public EclipsePlatformNamespace()